package com.dbs.consent.demo.customView;

import android.app.Dialog;
import android.content.Context;
import android.graphics.drawable.ColorDrawable;
import android.os.Bundle;

import androidx.annotation.NonNull;

import com.dbs.consent.demo.R;

public class LoadingProgress extends Dialog {
  
  private Context context;
  
  public LoadingProgress(@NonNull Context context) {
    super(context);
//    requestWindowFeature(Window.FEATURE_NO_TITLE);
    getWindow().setBackgroundDrawable(new ColorDrawable(android.graphics.Color.TRANSPARENT));
    setCanceledOnTouchOutside(false);
    
    this.context = context;
  }
  
  @Override
  protected void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.custom_progress_dialog);
    
  }
  
  @Override
  public void show() {
    super.show();
  }
  
  @Override
  public void dismiss() {
    super.dismiss();
  }
  
}
